ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

Desugar

Contents

- Desugaring operations

Synopsis

- deSugar :: HscEnv -> ModLocation -> TcGblEnv -> IO (Messages, Maybe ModGuts)
- deSugarExpr :: HscEnv -> LHsExpr Id -> IO (Messages, Maybe CoreExpr)

# Desugaring operations

deSugar :: HscEnv -> ModLocation -> TcGblEnv -> IO (Messages, Maybe ModGuts) #

Main entry point to the desugarer.

deSugarExpr :: HscEnv -> LHsExpr Id -> IO (Messages, Maybe CoreExpr) #